# README

**Title**: The Geography of Repression in Africa

**Author**: Darin Christensen

**Date**: December 4, 2016

---

## Notes

* Use `_Master.R` to execute scripts needed to recreate all tables and figures. You will need to set the path to the replication archive at the top of this scripts. (The figures do not always save correctly when the scripts are sourced. If that's a problem on your machine, open and execute the individual R scripts to produce the PDFs.)

* See PrepSCAD.R for all merges/modifications to the original SCAD data.

* The LandScan data is proprietary and, thus, cannot be included in the replication archive. As a consequence,  PrepSCAD.R will not run unless you have downloaded the LandScan data to the Replication/Data folder.

* As noted in the `_Master.R` script, some of the scripts take a long time to run, as they compute large distance matrices.

* You can clear the `Figures/` and `Tables/` sub-directories or just overwrite the files contained in those folders when you replicate.

---

## R Session Info

```
R version 3.3.0 (2016-05-03)
Platform: x86_64-apple-darwin13.4.0 (64-bit)
Running under: OS X 10.12.1 (unknown)

locale:
[1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

attached base packages:
[1] grid      stats     graphics  grDevices utils     datasets  methods   base

other attached packages:
 [1] extrafont_0.17   gridExtra_2.2.1  scales_0.4.0     foreign_0.8-67   ggplot2_2.1.0    lubridate_1.6.0
 [7] stringr_1.1.0    zoo_1.7-13       lfe_2.5-1998     Matrix_1.2-7.1   pBrackets_1.0    countrycode_0.18
[13] readr_1.0.0      stargazer_5.2    data.table_1.9.6 raster_2.5-8     rgdal_1.1-10     sp_1.2-3
[19] dplyr_0.5.0      beepr_1.2

loaded via a namespace (and not attached):
 [1] Rcpp_0.12.7      plyr_1.8.4       tools_3.3.0      tibble_1.2       gtable_0.2.0     lattice_0.20-34
 [7] DBI_0.5-1        Rttf2pt1_1.3.4   R6_2.1.3         Formula_1.2-1    extrafontdb_1.0  magrittr_1.5
[13] assertthat_0.1   xtable_1.8-2     colorspace_1.2-6 sandwich_2.3-4   stringi_1.1.1    munsell_0.4.3
[19] chron_2.3-47     audio_0.1-5
```
